$file:ganled.sol
$ *******
begin

include file=zmesh.zst &&
  ignore1=load_mesh ignore2=output ignore3=export_3dgeo
load_mesh mesh_inf=csuprem_mesh.aps  suprem_import=yes suprem_cpl_import=no
output sol_outf=ganled.out
more_output qw_states=yes
include file=material_3d.sol

$ shift work function of ITO to match p-GaN
$affinity mater=8 value=7.5


$ SuperLattice technology may be used to 
$ reduce carrier scattering on xy-plane and this is modeled
$ as increased mobility with smaller dependence on impurity:
$max_electron_mob value=1 mater=1
$min_electron_mob value=1 mater=1

$ substrate and contacts as a thermal conductor
contact num=1
contact num=2
$contact num=1 type=ohmic thermal_type=3 &&
$  thermal_cond=0.002 extern_temp=300
$contact num=2 type=ohmic thermal_type=3 &&
$  thermal_cond=0.002 extern_temp=300

$ substrate as a thermal conductor
$thermal_interf thm_within_x=(0 300) thm_within_y=(0 300) &&
$  zplane_num=1 thm_cond=1.e-12 thm_num=1 thm_type=3

qwell_normal dir=z
polarization_charge_model screening=0.3 vector=(0. 0. 1.)

set_active_reg tau_scat=0.4e-13
modify_qw tail_energy=0.03

$self-consistent is necessary for polarization
self_consistent  wave_range=0.005

$Quantum transport model helps deal with thin,deep wells
$q_transport


$ Turn on self-heating model
heat_flow damping_step=1 smooth_temperature=yes smooth_distance=10


$ ----- initialize optical constatns------
set_wavelength wavelength=0.40 backg_loss=2000

$ Set LED model to "simple": we will calculate actual 
$ extraction efficiency with raytracing later
led_simple wavelength=0.40 spectrum_num=50

$ Export raytracing data: convert 2D electrical simulation into
$ 3D raytracing boxes
$export_raytrace ray3d_convert=yes

$
$ start solving
$
newton_par damping_step=15. max_iter=300 print_flag=3
equilibrium
$stop

newton_par damping_step=2. print_flag=3 var_tol=1.e-0 res_tol=1.e-2

scan var=voltage_1 value_to=-3.1  init_step=1.e-4 max_step=0.4 &&
min_step=1.e-7 &&
auto_finish=current_1 auto_condition=above auto_until=0.001 stop_thermal=yes
  
newton_par damping_step=1. print_flag=3 var_tol=1.e-1 res_tol=1.e-2
$ LED gets hot at 90 mA
scan var=current_1 value_to=0.05  &&
  init_step=1.e-5 min_step=1.e-8 max_step=0.003 
  
end
